org.baraza.xml

## Class BElement

- java.lang.Object
- - org.baraza.xml.BElement

-     public class BElement
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BElement(Node node)`
    `BElement(String nodeName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNode(BElement newNode)`
    `void` | `addNode(BElement newNode, int nodePos)`
    `void` | `clearNodes()`
    `BElement` | `copy()`
    `void` | `delAttribute(String attributeName)`
    `void` | `delNode(BElement oldNode)`
    `void` | `delNode(int nodePos)`
    `int` | `elementIndex(BElement element)`
    `String` | `getAttribute(String attributeName)`
    `String` | `getAttribute(String attributeName, String defaultValue)`
    `Map<String,String>` | `getAttributes()`
    `BElement` | `getElement(int index)`
    `BElement` | `getElement(String nodeValue)`
    `BElement` | `getElementByKey(String keyValue)`
    `BElement` | `getElementByName(String nodeName)`
    `List<BElement>` | `getElements()`
    `BElement` | `getFirst()`
    `String` | `getName()`
    `int` | `getNodeNumber()`
    `int` | `getNodeSize()`
    `int` | `getSize()`
    `String` | `getString()`
    `int` | `getType()`
    `String` | `getValue()`
    `String` | `getValue(String nval)`
    `String` | `getValueAt(int aRow, int aCol)`
    `String` | `indentStr(String mystr)`
    `void` | `insertAttribute(String key, String value)`
    `boolean` | `isLeaf()`
    `void` | `replaceAttribute(String oldAttribute, String newAttribute)`
    `void` | `setAttibutes(Node node)`
    `void` | `setAttribute(String attributeName, String attributeValue)`
    `void` | `setName(String nodeName)`
    `void` | `setNodes(NodeList elementlist)`
    `void` | `setType(int type)`
    `void` | `setValue(String nodeValue)`
    `void` | `setValueAt(String cellValue, int aRow, int aCol)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BElement

          public BElement(String nodeName)

    - #### BElement

          public BElement(Node node)

  - ### Method Detail

    - #### setNodes

          public void setNodes(NodeList elementlist)

    - #### setAttibutes

          public void setAttibutes(Node node)

    - #### getElement

          public BElement getElement(int index)

    - #### getElement

          public BElement getElement(String nodeValue)

    - #### getElementByName

          public BElement getElementByName(String nodeName)

    - #### getElementByKey

          public BElement getElementByKey(String keyValue)

    - #### elementIndex

          public int elementIndex(BElement element)

    - #### getFirst

          public BElement getFirst()

    - #### getElements

          public List<BElement> getElements()

    - #### getNodeNumber

          public int getNodeNumber()

    - #### getType

          public int getType()

    - #### setType

          public void setType(int type)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String nodeName)

    - #### getValue

          public String getValue()

    - #### getValue

          public String getValue(String nval)

    - #### setValue

          public void setValue(String nodeValue)

    - #### getSize

          public int getSize()

    - #### getNodeSize

          public int getNodeSize()

    - #### isLeaf

          public boolean isLeaf()

    - #### getValueAt

          public String getValueAt(int aRow,
                          int aCol)

    - #### setValueAt

          public void setValueAt(String cellValue,
                        int aRow,
                        int aCol)

    - #### insertAttribute

          public void insertAttribute(String key,
                             String value)

    - #### getAttributes

          public Map<String,String> getAttributes()

    - #### getAttribute

          public String getAttribute(String attributeName)

    - #### getAttribute

          public String getAttribute(String attributeName,
                            String defaultValue)

    - #### replaceAttribute

          public void replaceAttribute(String oldAttribute,
                              String newAttribute)

    - #### setAttribute

          public void setAttribute(String attributeName,
                          String attributeValue)

    - #### delAttribute

          public void delAttribute(String attributeName)

    - #### addNode

          public void addNode(BElement newNode)

    - #### addNode

          public void addNode(BElement newNode,
                     int nodePos)

    - #### delNode

          public void delNode(BElement oldNode)

    - #### clearNodes

          public void clearNodes()

    - #### delNode

          public void delNode(int nodePos)

    - #### getString

          public String getString()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### indentStr

          public String indentStr(String mystr)

    - #### copy

          public BElement copy()

Copyright © 2016 openBaraza. All Rights Reserved.